Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class BERSetParser

    java.lang.Object
      org.bouncycastle.asn1.BERSetParser

All Implemented Interfaces:
  ASN1SetParser, DEREncodable

    public class BERSetParser

extends java.lang.Object
implements ASN1SetParser

Method Summary
`DERObject` | `getDERObject()`
`DEREncodable` | `readObject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### readObject

    public DEREncodable readObject()
                            throws java.io.IOException

  Specified by:
    `readObject` in interface `ASN1SetParser`
  Throws:
    `java.io.IOException`

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD